<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>session 04 Exercici 2</title>
</head>
<body onload="start()">
	<script>
		raton = 29;
		gat = 60;
		gameOver = false;
		
		const tirarDado = () => {
			return Math.floor(Math.random() * 6) + 1;
		}
		
		const start = () => {
			while(gameOver === false){
				

				if(raton != gat){
					if(raton < 60){
						var t = tirarDado();
						raton += t;
						console.log("Raton: He tirado un " + t + " Voy a la casilla " + raton);
					}else{
						raton = 29;
					}
				}

				if(gat != raton){
					if(gat > 0){
						var t = 2 * tirarDado();
						gat -= t;
						console.log("Gat: He tirado un " + t + " Voy a la casilla " + gat);
					}else{

						gat = 60;
					}
				}
				
				if(raton === gat){
					gameOver = true;

				}
								
				
			}
			console.log("Gat: He ganado!!!");

		}


		

	</script>
</body>
</html>